delayk
Prev | Orchestra Opcodes and Operators | Next

## delayk

delayk — Delays an input signal by some time interval.

## Description

k-rate delay opcodes

## Syntax

    kr delayk   ksig, idel[, imode]

    kr vdel_k   ksig, kdel, imdel[, imode]

## Initialization

idel -- delay time (in seconds) for delayk. It is rounded to the nearest integer multiple of a k-cycle (i.e. 1/kr).

imode -- sum of 1 for skipping initialization (e.g. in tied notes) and 2 for holding the first input value during the initial delay, instead of outputting zero. This is mainly of use when delaying envelopes that do not start at zero.

imdel -- maximum delay time for vdel_k, in seconds.

## Performance

kr -- the output signal. Note: neither of the opcodes interpolate the output.

ksig -- the input signal.

kdel -- delay time (in seconds) for vdel_k. It is rounded to the nearest integer multiple of a k-cycle (i.e. 1/kr).

## Credits

Istvan Varga.

Prev | Up | Next
delay1 | Home | delayr